Get list of Categories

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches all the active template categories within a template library (My Templates or Org Templates).

Endpoints

OAuth Scope

WorkDrive.libraries.categories.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/libraries/{library_id}/categories \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

library_idstring(Required)

The template library ID of My Templates/Org Templates/Public Templates

Response Example

F000

200
200
500
Copied!
  {
    "data": [
      {
        "id": "ntp2o497e00aef2944ab3a752b16d5f2a0197",
        "type": "category",
        "attributes": {
          "category_name": "My Category 8",
          "library_id": "ntp2oe1674ac34a8f429aa9ad52e2c55de8a8",
          "status": 1
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/category/ntp2o497e00aef2944ab3a752b16d5f2a0197"
        }
      },
      {
        "id": "ntp2ode5ad3a2eb054a0c845a24f2381852c9",
        "type": "category",
        "attributes": {
          "category_name": "My Category",
          "library_id": "ntp2oe1674ac34a8f429aa9ad52e2c55de8a8",
          "status": 1
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/category/ntp2ode5ad3a2eb054a0c845a24f2381852c9"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "Generic server-side failure"
      }
    ]
  }
                
Show full